Bug 1353552 - Include contents of /etc/virt-who.d/ in sosreport
Summary: Include contents of /etc/virt-who.d/ in sosreport
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: sos
Version: 7.2
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: Pavel Moravec
QA Contact: Miroslav Hradílek
URL:
Whiteboard:
Keywords: OtherQA
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-07-07 12:37 UTC by Kenny Tordeurs
Modified: 2016-11-04 04:58 UTC (History)
7 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2016-11-04 04:58:15 UTC


Attachments (Terms of Use)
[PATCH] [virtwho] add new plugin for virt-who agent (1.81 KB, patch)
2016-07-07 13:54 UTC, Bryn M. Reeves
no flags Details | Diff


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2016:2380 normal SHIPPED_LIVE sos bug fix and enhancement update 2016-11-03 13:52:35 UTC

Description Kenny Tordeurs 2016-07-07 12:37:28 UTC
Description of problem:
Newest versions of virt-who have configuration files stored under /etc/virt-who.d/* it would be great if these could be captured in sosreport.

Version-Release number of selected component (if applicable):
sos-3.2-35.el7_2.3.noarch


Actual results:
No /etc/virt-who.d/* contents included

Expected results:
/etc/virt-who.d/* contents included

Comment 1 Bryn M. Reeves 2016-07-07 13:54 UTC
Created attachment 1177326 [details]
[PATCH] [virtwho] add new plugin for virt-who agent

Give this a try (ideally with real password data - I've tested both fields present in the example template.conf but would be good to get some confirmation from actual data).

If it's working OK for you I'll push it upstream and Pavel can pick it up when the bug gets all its acks.

Comment 8 Pavel Moravec 2016-08-19 22:22:12 UTC
Hi Kenny,
could you please verify [1] package?

(hint: you can run just "sosreport -o virtwho" to test/run the new plugin and nothing else)

[1] http://download.eng.bos.redhat.com/brewroot/////packages/sos/3.3/2.el7/noarch/sos-3.3-2.el7.noarch.rpm

Comment 12 errata-xmlrpc 2016-11-04 04:58:15 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHBA-2016-2380.html


Note You need to log in before you can comment on or make changes to this bug.